
AddEventHandler( "playerConnecting", function(name, setReason )
	local id = GetPlayerIdentifiers(source)[1]
	if isBanned(id) then
		setReason("You have been banned on this server in " .. Duration(id) .. " Because " .. Reason(id) .. ". Contact Administrators to request Unban")
		
		CancelEvent()
		
    end
end)


function Reason(id)
	local reasonData = MySQL.Sync.fetchScalar("SELECT Reason FROM user_banlist WHERE SteamID = @ID", {['@ID'] = id})
-- print(reasonData)
	return reasonData	
end

function Duration(id)
	local durationData = MySQL.Sync.fetchScalar("SELECT ExpiredDate FROM user_banlist WHERE SteamID = @ID", {['@ID'] = id})
-- print(durationData)
	return durationData
end

function isBanned(id)
	local result = MySQL.Sync.fetchScalar("SELECT Banned FROM user_banlist WHERE SteamID = @ID", {['@ID'] = id})
	
	print(result)
	if result == 1 then
		print("Banned")
		return true
	end

	return false
end
